> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subtotal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connection

> Get a connection



## OpenAPI

````yaml get /connections/{connection_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /connections/{connection_id}:
    get:
      tags:
        - connection
      summary: Get Connection
      description: Get a connection
      operationId: get_connection_connections__connection_id__get
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            description: A unique identifier for the connection
            title: Connection Id
          description: A unique identifier for the connection
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConnectionResponse:
      properties:
        connection_id:
          type: string
          title: Connection Id
          description: A unique identifier for the connection
          examples:
            - 01J51S0JYV6N7K1030CV1ZKSCA
        customer_id:
          type: string
          title: Customer Id
          description: >-
            A unique identifier used to map connections to customer records in
            external systems.
          examples:
            - 8a46e581-48ba-498a-9ad0-2ee72582e1af
        retailer_id:
          type: string
          title: Retailer Id
          description: The unique identifier for the retailer in the connection
          examples:
            - 01J7SC0NN73R6F5VVSP3ZKPDA3
        status:
          $ref: '#/components/schemas/ConnectionStatusResponse'
          description: The status of the connection
          examples:
            - active
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The customer's email address
          examples:
            - alice@example.com
        mobile:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile
          description: The customer's mobile phone number
          examples:
            - '+1234567890'
      type: object
      required:
        - connection_id
        - customer_id
        - retailer_id
        - status
        - email
        - mobile
      title: ConnectionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConnectionStatusResponse:
      type: string
      enum:
        - active
        - initialized
        - unauthenticated
        - disconnected
      title: ConnectionStatusResponse
      description: >-
        Connection status enum for API responses (excludes revoked status).

        NOTE: This should mirror the ConnectionStatus enum the database,
        excluding internal statuses like (REVOKED)
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````